Si të instaloni paketat tona LMDE në 3 sekonda

Duke përfituar nga artikulli i fundit per cfare kam postuar MintBackup, Unë dua t'ju tregoj tre mënyra të thjeshta për të riinstaluar paketat që përdorim kur të instalojmë përsëri LMDE.

Në të vërtetë, përveç formës së parë, të tjerat mund të përdoren të dyja në Debian, como en Ubuntu.

Instalimi në 3 sekonda

Grafikisht.

Kjo është mënyra më e pëlqyer, të gjitha grafike dhe pa pasur nevojë të prekni një terminal. Në LMDE y LinuxMint, aty eshte nje mjet përrallor i quajtur MintBackup, të cilat ndër të tjera mund t'i përdorim për të ruajtur paketat tona dhe më vonë, për t'i riinstaluar ato.

Në rastin e LMDE, nëse azhurnojmë paketën python-apt në versionin 0.8.0, ne nuk do të jemi në gjendje të përdorim MintBackup për shkak të një problemi të varësisë. Do të kthejë gabimin e mëposhtëm:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Shpresojmë djemtë nga Nenexhik rregulloje shpejt

Përmes terminalit.

Përmes tastierës ne mund ta bëjmë atë në 2 mënyra, e cila në fund të fundit, ka qenë e njëjtë.

Në 2 hapa.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Pasi të kemi qasje në depot dhe gjithçka të konfigurohet dhe azhurnohet, ne thjesht duhet ta vendosim këtë:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

Në 3 hapa.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Pas riinstalimit, ne ekzekutojmë këtë:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Dhe pastaj vrapojmë:

apt-get -u dselect-upgrade

Unë mendoj se është e panevojshme të sqarohet se duhet të kemi depot e konfiguruara në mënyrë korrekte .. Thjesht apo jo?


Përmbajtja e artikullit i përmbahet parimeve tona të etika editoriale. Për të raportuar një gabim klikoni këtu.

8 komente, lini tuajën

Lini komentin tuaj

Adresa juaj e emailit nuk do të publikohet. Fusha e kërkuar janë shënuar me *

*

*

  1. Përgjegjës për të dhënat: Miguel Ángel Gatón
  2. Qëllimi i të dhënave: Kontrolloni SPAM, menaxhimin e komenteve.
  3. Legjitimimi: Pëlqimi juaj
  4. Komunikimi i të dhënave: Të dhënat nuk do t'u komunikohen palëve të treta përveç me detyrim ligjor.
  5. Ruajtja e të dhënave: Baza e të dhënave e organizuar nga Occentus Networks (BE)
  6. Të drejtat: Në çdo kohë mund të kufizoni, rikuperoni dhe fshini informacionin tuaj.

  1.   Guxim dijo

    Ose gjithashtu shkruani të gjitha programet që keni pasur më parë dhe bëni

    sudo apt-get -y fut të gjitha paketat që janë fshirë

    Unë me të vërtetë nuk e di nëse LMDE ka të njëjtin qëllim si Linux MInt, të jetë jashtë kutisë

    1.    Guxim dijo

      * instaloni

  2.   Hokasito dijo

    Megjithëse është pak "jashtë teme", unë doja të paralajmëroja që kandidatët e lirimit kanë dalë në Linux Mint Debian 201108 për GNOME dhe XFCE. Shpresoj të jenë bërë mjaft përmirësime… 🙂

    1.    elav <° Linux dijo

      Epo po, çfarë ndodh kur u botua ky lajm i shkëlqyeshëm, ne ishim jashtë linje .. Faleminderit.

  3.   mitrat dijo

    Sapo ju zbulova dhe FALEMINDERIT.
    Dje instalova LMDE 64-bit dhe po bëj mirë, por kam 2 gjëra të vogla për të zbuluar-

    1– Hyni si rrënjë në modalitetin grafik

    2.- Vendosni VLC si luajtësin e parazgjedhur të videove

    Mendoj se do ta merrja nga paneli i kontrollit të aplikacioneve të preferuara ose duke hapur me një aplikacion tjetër / duke përdorur këtë aplikacion si parazgjedhje. Identifikuar si rrënjë.

    Unë kam bërë sudo nautilus për çdo rast dhe asgjë fare.

    PS1: Në 64 bit nëse mbledhja e paketave funksionon mirë.
    PS2: Unë gjithashtu duhet të instaloj MAME SDL dhe verën e fundit64 prej të cilave do të doja të ekzistonte një PPA, sepse konfigurimi i programeve më vonë nuk i azhurnon automatikisht.
    PS3: Po përdor shoferin AMD beta AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, për të parë seritë e vendosura në Firefox, Chrome - i cili duhet të instalohet -, Ndihma për Firefox Flash me 64-bit Flash, Zindus, Qbittorrent, Opera, shtesën aletras.oxt dhe skriptin e marrjes për të kontrolluar memorjen RAM të tepërt të detyrës që gjithashtu meriton një koment nga ju.

    Unë pres që pjesa e pestë e tutorialit me këto dhe / ose sugjerime të tjera

  4.   HANI ME dijo

    Përshëndetje atje!
    Një gjë, ne duhet të ndryshojmë lidhjen e parë që dërgon artikullin e MintBackup te kjo: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Nuk e di pse, lidhet me një nën-direktori "/ wp-content / themes" ...

    1.    KZKG ^ Gaara dijo

      Bërë, korrigjuar

  5.   Nahum dijo

    Përshëndetje, pasi që versioni i mëparshëm i LMDE amd64 kam pasur probleme me paketa të prishura dhe gabime gjatë ngarkimit të depove, kam provuar shumë zgjidhje dhe asnjëra prej tyre nuk funksionon… Nuk di çfarë të bëj më, doja të instaloja Gnome-shell dhe nuk me la sepse paketa eshte prishur. Unë pashë se si të zgjidheshin paketat e prishura me komanda si: sudo dpkg –purge –force-remove-reinstreq

    dhe unë kam gabimin e mëposhtëm:

    dpkg: gabim: –pastrimi kërkon të paktën një emër të paketës si një parametër

    Shkruaj dpkg - ndihmë për ndihmë në instalimin dhe çinstalimin e paketave [*];
    Përdorni "dselect" ose "aftësi" për menaxhim më miqësor të paketës;
    Lloji dpkg -Ndihmoni për një listë të cilësimeve të korrigjimit të dpkg;
    Shkruani dpkg –force-help për një listë opsionesh për të detyruar gjërat;
    Lloji dpkg-deb –ndihmë për ndihmë në manipulimin e skedarëve .deb;

    Opsionet e shënuara me [*] prodhojnë prodhim të gjerë,
    Filtrojeni me 'më pak' ose me 'më shumë'!

    nëse dikush mund të më ndihmojë me këtë